# $Id: PyQt.spec,v 1.28 2004/07/20 18:38:09 rexdieter Exp $
%define aurox_ver 10.1
%define rel 1
                                                                                                                             

# define to build qsinitilla extention(s), undef otherwise
%define qscintilla_ver 0:1.4 

Summary: Python bindings for Qt
Name: 	 PyQt
Epoch:	 0
Version: 3.13
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: 	 Development/Languages
Url: 	 http://www.riverbankcomputing.co.uk/pyqt/
Source:  http://www.river-bank.demon.co.uk/download/PyQt/PyQt-x11-gpl-3.13.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: PyQt-x11-gpl-3.9-python2.patch

%define qt_min 3.3
BuildRequires: qt-devel >= 1:%{qt_min} 
BuildRequires: qt-MySQL, qt-ODBC, qt-PostgreSQL 
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: python2-devel >= 2.2
%define python_pkg %(rpm -q --whatprovides python2-devel | cut -d- -f1)
%define python_ver %(rpm -q --qf '%%{version}' %{python_pkg}-devel | cut -d. -f1,2)
Requires: %{python_pkg} >= %{python_ver}
%define python_sitearch %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
Requires: %{python_sitearch}

%if "%{python_ver}" > "2.2"
%define sip_ver 0:4.1.1
%else
%define sip_ver 0:3.11.1
%define lib lib
%endif
BuildRequires: sip-devel >= %{sip_ver}
#Requires: sip >= %{sip_ver}


%description
These are Python bindings for Qt.

%package devel
Summary: Files needed to build other bindings based on Qt
Group:	 Development/Languages
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt classes (e.g. KDE or your own).

%package examples
Summary: Examples for %{name} 
Group:	 Development/Languages
Requires: %{name} = %{epoch}:%{version}-%{release}
%description examples
Examples code demonstrating how to use %{name} 

%if "%{?qscintilla_ver:1}" == "1"
%package qscintilla 
Summary: PyQt qscintilla extentions
Group:   Development/Languages
BuildRequires: qscintilla-devel >= %{qscintilla_ver}
#Let rpm autodetect? Sure.  -- Rex
#Requires: qscintilla
Requires: %{name} = %{epoch}:%{version}
%description qscintilla 
Examples code demonstrating how to use the Python bindings for Qt.
%else
BuildConflicts: qscintilla-devel
%endif


%prep
%setup -q -n %{name}-x11-gpl-%{version} 

%patch1 -p1 -b .python2


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

echo yes | /usr/bin/python2 configure.py 

# Makefiles are broken wrt smp builds, workaround
make -C qt %{?_smp_mflags}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mv examples3 examples


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/*
%{python_sitearch}/*
%{?qscintilla_ver:%exclude %{python_sitearch}/%{?lib}qtext*.so}
%{?qscintilla_ver:%{?lib:%exclude %{python_sitearch}/qtext.py*}}

%files devel
%defattr(-,root,root)
%{_datadir}/sip
%{?qscintilla_ver:%exclude %{_datadir}/sip/qtext}
%doc doc/*

%files examples
%defattr(-,root,root)
%doc examples/README examples/*.py
%doc examples/*.png examples/*.gif examples/*.bmp

%if "%{?qscintilla_ver:1}" == "1"
%files qscintilla
%defattr(-,root,root)
%{_datadir}/sip/qtext
%{python_sitearch}/%{?lib}qtext*.so
%{?lib:%{python_sitearch}/qtext.py*}
%endif


%changelog
* Fri Oct 08 2004 Aurox Team <aurox@aurox.org> 0:3.13-10.1.aur.1
- Updated to PyQt-x11-gpl-3.13
- version 3.12
- Initial build for Aurox 9.4

* Sun Sep 26 2004 Rex Dieter <rexdieter at sf.net> 0:3.13-0.1.kde
- rebuild against sip-3.11.1/sip-4.1.1

* Wed Sep 22 2004 Rex Dieter <rexdieter at sf.net> 0:3.13-0.0.kde
- 3.13
- new Release scheme

* Mon Sep 20 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.5
- rebuild against sip-3.11/4.1

* Thu Sep 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.4
- rebuild against qscintilla-1.4

* Sat Aug 28 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.3
- remove qscintilla bits from main pkg.

* Tue Jul 20 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.2
- use/Require: %%python_sitearch

* Mon Jul 06 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.1
- rebuild against sip-4.0(.1)

* Fri May 28 2004 Rex Dieter <rexdieter at sf.net> 0:3.12-0.fdr.0
- 3.12

* Mon May 24 2004 Rex Dieter <rexdieter at sf.net> 0:3.11-0.fdr.2
- fix python detection

* Wed May 19 2004 Rex Dieter <rexdieter at sf.net> 0:3.11-0.fdr.1
- FC2
- qscintilla subpkg

* Thu Mar 10 2004 Rex Dieter <rexdieter at sf.net> 0:3.10-0.fdr.2
- dynamically determine version for qt dependancy.

* Wed Mar 10 2004 Rex Dieter <rexdieter at sf.net> 0:3.10-0.fdr.1
- (re)build against qt-3.3.1

* Sat Jan 17 2004 Rex Dieter <rexdieter at sf.net> 0:3.10-0.fdr.0
- 3.10

* Sun Jan 11 2004 Rex Dieter <rexdieter at sf.net> 0:3.9-0.fdr.1
- rebuild against fixed sip-3.9

* Fri Dec 19 2003 Rex Dieter <rexdieter at sf.net> 0:3.9-0.fdr.0
- 3.9

* Wed Dec 03 2003 Rex Dieter <rexdieter at sf.net> 0:3.8.1-0.fdr.2
- cleanup macros
- (re)build against qt-3.2.3

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 0:3.8.1-0.fdr.1
- (re)build against qt-3.2.2

* Tue Aug 12 2003 Rex Dieter <rexideter at sf.net> 0:3.7-0.fdr.0
- Epoch: 0

* Mon Aug 11 2003 Rex Dieter <rexdieter at sf.net> 3.7-0.fdr.0
- 3.7

* Fri May 23 2003 Rex Dieter <rexdieter at sf.net> 3.6-0.fdr.0
- fedora versioning

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 3.5-5
- rebuilt against new python

* Thu Jan 30 2003 Than Ngo <than@redhat.com> 3.5-4
- excludearch alpha
- disable smp_flag on s390

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 08 2003 Elliot Lee <sopwith@redhat.com> 3.5-3
- Don't exclude alpha

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-2
- fix typo

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-1
- 3.5 release

* Mon Nov 18 2002 Than Ngo <than@redhat.com> 3.5-0.20021114.1
- Release Candidate, which supports qt 3.1.0
- fix dependency problem with python

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.4-1
- 3.4

* Sat Aug 24 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- to not enable parallel make
- specfile cleanups
- again excludearch alpha

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.3.2-3
- rebuild using new gcc-3.2-0.3
- remove excludearch alpha

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-2
- rebuild to get rid of deps

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-1
- 3.3.2 release for qt 3.0.5

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- updated to version 3.2.4

* Thu May 02 2002 Than Ngo <than@redhat.com> 3.2-0.rc4.1
- 3.2rc4
- build against python 2

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 3.1-2
- rebuild

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.1-1
- update 3.1 for qt 3.0.3

* Fri Mar  8 2002 Than Ngo <than@redhat.com> 3.0-4
- rebuild against qt-3
- fix Url

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 3.0-3
- rebuild against python 1.5.2 and qt 2.3.2

* Wed Jan 16 2002 Than Ngo <than@redhat.com> 3.0-1
- update to 3.0
- add 4 official patches
- build against qt 3

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.5-1
- update to 2.5
- add patch from alane@geeksrus.net (bug #54627)

* Mon Apr 23 2001 Than Ngo <than@redhat.com>
- update to 2.4
- remove a g++ patch, since the bug is fixed in current gcc-2.96-81

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- rebuild against sip-2.3-2

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.3
- use python 1.5

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- fixed to build against gcc-2.96-72

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't require a package we aren't shipping (python2 >= 2.0,
  not python >= 2.0)

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- rebuild against the new qt-2.2.3
- fixed to build with python 2.0
- add missing PyQt docs

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 8 2000 Than Ngo <than@redhat.com>
- update to 2.2
- fixed BuildPrereq

* Tue Oct 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove bogus requirement on python-%%{pythonver}, there's no such
  thing as a python-1.5 package and we actually use version 1.5.2
  Than: I take this VERY seriously... "It compiles, therefore it
  works!" is a registered trademark of myself. ;)
- some fixes to spec file
- update URL

* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- update to 2.1
- add requires python

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version
- add defattr

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt with the new qt

* Sat May 27 2000 Ngo Than <than@redhat.de>
- update 0.12 for 7.0

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.11.1
- Qt 2.1.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.10.1
- Qt 1.45
- handle RPM_OPT_FLAGS
- fix download URL
- -devel and -examples require base package

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- 0.10pre5

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2

* Fri Aug 13 1998 Pieter Nagel <pnagel@e.co.za>
- Initial packaging as RPM
